#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hwrng_register, "_gpl", "");
KSYMTAB_FUNC(hwrng_unregister, "_gpl", "");
KSYMTAB_FUNC(devm_hwrng_register, "_gpl", "");
KSYMTAB_FUNC(devm_hwrng_unregister, "_gpl", "");
KSYMTAB_FUNC(hwrng_msleep, "_gpl", "");

SYMBOL_CRC(hwrng_register, 0xe0c4e14d, "_gpl");
SYMBOL_CRC(hwrng_unregister, 0xd0fd7085, "_gpl");
SYMBOL_CRC(devm_hwrng_register, 0xa4c30885, "_gpl");
SYMBOL_CRC(devm_hwrng_unregister, 0x1705a66c, "_gpl");
SYMBOL_CRC(hwrng_msleep, 0x4bfd398d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb511ec16, "misc_deregister" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x7848093e, "param_ops_ushort" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x28844900, "devres_add" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x2e02864, "wake_up_process" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x122c3a7e, "_printk" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xfe4b43d7, "devres_release" },
	{ 0xa916b694, "strnlen" },
	{ 0xbbb03387, "noop_llseek" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd6938fb0, "__devres_alloc_node" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x6e9b1723, "kthread_stop" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x77828fbf, "misc_register" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xc64fd66a, "add_hwgenerator_randomness" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x459f2852, "kthread_create_on_node" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x29977925, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0xe61a6d75, "kmalloc_caches" },
	{ 0x17608925, "module_layout" },
};

MODULE_INFO(depends, "");

